app.factory('perfilFactory', function ($http) {
    var url = '../api/menuacessos/';
    var url_perfil = '../api/perfil/';
    return {
        getAcessos: function () {
            return $http.get(url);
        },
        getPerfis: function () {
            return $http.get(url_perfil);
        },
        getPerfisUser: function (id) {
            return $http.get(url_perfil+id);
            //return $http({
            //    cache: false,
            //    url: url_perfil+id,
            //    method: "GET",
                
            //})
        },
        addPerfil: function (perfil) {


            return $http.post(url, perfil);

        },
        
        deletePerfil: function (perfil) {
            
            return $http.delete(url+perfil.IdPerfil,perfil);
        },
        updateAcessos: function (perfis) {

            return $http.put(url, perfis);
        },

        updateNomePerfil: function (perfil) {

            return $http.put(url_perfil, perfil);
        }
    };
});